List Invoices
Synced invoices, newest first, without lines (retrieve one for its lines). The embedded customer carries name and email only when the caller also holds customers:read.
/invoicesSynced invoices, newest first, without lines (retrieve one for its lines). The embedded customer carries name and email only when the caller also holds customers:read.
In: header
Query Parameters
Opaque signed cursor. Return it unchanged; valid for 24 hours.
1 <= length <= 81921 <= value <= 10050Opaque customer ID.
^cst_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Opaque subscription ID.
^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Opaque product ID.
^prd_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])RFC 3339 UTC timestamp; only the Z suffix is accepted.
date-timeRFC 3339 UTC timestamp; only the Z suffix is accepted.
date-timeRFC 3339 UTC timestamp; only the Z suffix is accepted.
date-timeRFC 3339 UTC timestamp; only the Z suffix is accepted.
date-timeResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/invoices"{ "data": [ { "id": "string", "object": "invoice", "livemode": true, "created": "2019-08-24T14:15:22Z", "customer": { "id": "string", "name": "string", "email": "string" }, "subscription": "string", "status": "draft", "origin": "string", "collection_method": "string", "currency": "string", "subtotal": { "amount": -9007199254740991, "currency": "string" }, "discount_total": { "amount": -9007199254740991, "currency": "string" }, "tax_total": { "amount": -9007199254740991, "currency": "string" }, "total": { "amount": -9007199254740991, "currency": "string" }, "amount_due": { "amount": -9007199254740991, "currency": "string" }, "amount_paid": { "amount": -9007199254740991, "currency": "string" }, "amount_remaining": { "amount": -9007199254740991, "currency": "string" }, "period_start": "string", "period_end": "string", "due_at": "string", "finalized_at": "string", "paid_at": "string" } ], "pagination": { "next_cursor": "string", "has_more": true, "as_of": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "source": "primary"}List Installment Plans GET
Payment plan subscriptions, newest first. Customer details require customers:read. Unmirrored terms and dates are null.
List Licence Key Pools GET
List pools, optionally filtered by catalog product UUID. Counts contain no key material; expiring_soon is available stock expiring within 14 days. low_stock is available <= threshold, defaulting to zero.